> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulseshiga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List supported banks (name + NIP code)



## OpenAPI

````yaml /api-reference/openapi.json get /v1/banks
openapi: 3.0.0
info:
  description: Pulse Orchestration API
  title: Pulse API
  contact: {}
  version: '1.0'
servers:
  - url: https://engine-api.shiga.io
    description: Production
  - url: https://engine-api.pilot.pulseshiga.io
    description: Pilot
security: []
paths:
  /v1/banks:
    get:
      tags:
        - Banks
      summary: List supported banks (name + NIP code)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/banking.Bank'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    banking.Bank:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
    common.ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: API key authentication
      type: apiKey
      name: X-API-Key
      in: header

````